Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList Class Reference

`#include <IOPC.h>`

Inheritance diagram for IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList:

[legend]
Collaboration diagram for IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_IOP_ServiceContextList (void)
| _TAO_Unbounded_Sequence_IOP_ServiceContextList (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_IOP_ServiceContextList (CORBA::ULong maximum, CORBA::ULong length, ServiceContext *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_IOP_ServiceContextList (const _TAO_Unbounded_Sequence_IOP_ServiceContextList &rhs)
_TAO_Unbounded_Sequence_IOP_ServiceContextList & | operator= (const _TAO_Unbounded_Sequence_IOP_ServiceContextList &rhs)
virtual | ~_TAO_Unbounded_Sequence_IOP_ServiceContextList (void)
ServiceContext & | operator[] (CORBA::ULong i)
const ServiceContext & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
| Ensure that the buffer contains space for at least <length> elements. More...
virtual void | _deallocate_buffer (void)
| Must deallocate the buffer and then set it to zero. More...
ServiceContext * | get_buffer (CORBA::Boolean orphan=0)
const ServiceContext * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, ServiceContext *data, CORBA::Boolean release)
## Static Public Methods
ServiceContext * | allocbuf (CORBA::ULong size)
void | freebuf (ServiceContext *buffer)

## Constructor & Destructor Documentation

IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::_TAO_Unbounded_Sequence_IOP_ServiceContextList | ( | void |  | ) |

IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::_TAO_Unbounded_Sequence_IOP_ServiceContextList | ( | CORBA::ULong | maximum | ) |

IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::_TAO_Unbounded_Sequence_IOP_ServiceContextList | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | ServiceContext * | data,
|  | CORBA::Boolean | release = 0
| ) |

IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::_TAO_Unbounded_Sequence_IOP_ServiceContextList | ( | const _TAO_Unbounded_Sequence_IOP_ServiceContextList & | rhs | ) |

IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::~_TAO_Unbounded_Sequence_IOP_ServiceContextList | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Ensure that the buffer contains space for at least <length> elements. The constructor must be called for any new elements, the old ones (if any) must be copied into the buffer using operator= and then their destructors must be called. Finally the old buffer must be released. Reimplemented from TAO_Base_Sequence.

void IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Must deallocate the buffer and then set it to zero. Reimplemented from TAO_Base_Sequence.

ServiceContext* IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::freebuf | ( | ServiceContext * | buffer | ) | `[static]`

const ServiceContext* IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::get_buffer | ( | void |  | ) | const

ServiceContext* IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_IOP_ServiceContextList& IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::operator= | ( | const _TAO_Unbounded_Sequence_IOP_ServiceContextList & | rhs | ) |

const ServiceContext& IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::operator[] | ( | CORBA::ULong | i | ) | const

ServiceContext& IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::operator[] | ( | CORBA::ULong | i | ) |

void IOP::_TAO_Unbounded_Sequence_IOP_ServiceContextList::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | ServiceContext * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- IOPC.h
- IOPC.cpp